package com.heyu.api.data.dao.system;
/**
* <p>
* 数据-区域 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemAddressEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemAddressDao extends BaseMapper<SystemAddressEntity> {


	SystemAddressEntity selectSystemAddressById(@Param("id")Long id);


	Long insertSystemAddress(SystemAddressEntity systemAddress);


	Long insertOrUpdateSystemAddress(SystemAddressEntity systemAddress);


	int updateSystemAddressById(SystemAddressEntity systemAddress);


	int updateCoverSystemAddressById(SystemAddressEntity systemAddress);


	int deleteSystemAddressById(@Param("id")Long id);


}